JmDNSImpl.Operation
Date: 2017-02-10

javax.jmdns.impl

## Enum JmDNSImpl.Operation

- java.lang.Object
- - java.lang.Enum<JmDNSImpl.Operation>
  - - javax.jmdns.impl.JmDNSImpl.Operation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JmDNSImpl.Operation>
  Enclosing class:
    JmDNSImpl

      public static enum JmDNSImpl.Operation
      extends java.lang.Enum<JmDNSImpl.Operation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Add`
    `Noop`
    `RegisterServiceType`
    `Remove`
    `Update`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JmDNSImpl.Operation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JmDNSImpl.Operation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Remove

          public static final JmDNSImpl.Operation Remove

    - #### Update

          public static final JmDNSImpl.Operation Update

    - #### Add

          public static final JmDNSImpl.Operation Add

    - #### RegisterServiceType

          public static final JmDNSImpl.Operation RegisterServiceType

    - #### Noop

          public static final JmDNSImpl.Operation Noop

  - ### Method Detail

    - #### values

          public static JmDNSImpl.Operation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JmDNSImpl.Operation c : JmDNSImpl.Operation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JmDNSImpl.Operation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null